## org.freedesktop.ModemManager1.Sim org.freedesktop.ModemManager1.Sim — The ModemManager SIM interface. |

## Methods

    SendPin   (IN  s pin);
    SendPuk   (IN  s puk,
               IN  s pin);
    EnablePin (IN  s pin,
               IN  b enabled);
    ChangePin (IN  s old_pin,
               IN  s new_pin);

## Properties

    SimIdentifier       readable   s
    Imsi                readable   s
    OperatorIdentifier  readable   s
    OperatorName        readable   s
    EmergencyNumbers    readable   as

## Description

The SIM interface handles communication with SIM, USIM, and RUIM (CDMA SIM) cards.

## Method Details

### The SendPin() method

    SendPin (IN  s pin);

Send the PIN to unlock the SIM card.

`IN s `pin``: | A string containing the PIN code.

### The SendPuk() method

    SendPuk (IN  s puk,
             IN  s pin);

Send the PUK and a new PIN to unlock the SIM card.

`IN s `puk``: | A string containing the PUK code.
`IN s `pin``: | A string containing the PIN code.

### The EnablePin() method

    EnablePin (IN  s pin,
               IN  b enabled);

Enable or disable the PIN checking.

`IN s `pin``: | A string containing the PIN code.
`IN b `enabled``: | `TRUE` to enable PIN checking, `FALSE` otherwise.

### The ChangePin() method

    ChangePin (IN  s old_pin,
               IN  s new_pin);

Change the PIN code.

`IN s `old_pin``: | A string containing the current PIN code.
`IN s `new_pin``: | A string containing the new PIN code.

## Property Details

### The "SimIdentifier" property

    SimIdentifier  readable   s

The ICCID of the SIM card.

This may be available before the PIN has been entered depending on the device itself.

### The "Imsi" property

    Imsi  readable   s

The IMSI of the SIM card, if any.

### The "OperatorIdentifier" property

    OperatorIdentifier  readable   s

### The "OperatorName" property

    OperatorName  readable   s

The name of the network operator, as given by the SIM card, if known.

### The "EmergencyNumbers" property

    EmergencyNumbers  readable   as

List of emergency numbers programmed in the SIM card.

These numbers should be treated as numbers for emergency calls in addition to 112 and 911.